Category '' in library OneWire is not valid. Setting to 'Uncategorized'

Hello

I keep getting the following error message when compiling even the most basic stripped down code.

WARNING: Category '' in library OneWire is not valid. Setting to 'Uncategorized'

Does the library need reinstalling? If so what is the best way to do this as there is no uninstall option it appears in the library manager for this library.

That's not an error. It's a warning. It's telling you that this library doesn't use a new feature of the IDE that it really doesn't need to use anyway. You can just ignore it.

Thanks Delta_G